events.listen('recipes', function (e) {
//Manasteel
  e.remove({ id: 'botania:mana_infusion/manasteel' })
  infusion('mekanism:ingot_steel', 'botania:manasteel_ingot', 3000)
  e.remove({ id: 'botania:mana_infusion/manasteel_block' })
  infusion('mekanism:block_steel', 'botania:manasteel_block', 27000)
//Mana Diamond
  e.remove({ id: 'botania:mana_infusion/mana_diamond' })
  infusion('psi:psigem', 'botania:mana_diamond', 10000)
  e.remove({ id: 'botania:mana_infusion/mana_diamond_block' })
  infusion('psi:psigem_block', 'botania:mana_diamond_block', 90000)
//Mana Pearl
  e.remove({ id: 'botania:mana_infusion/mana_pearl' })
  infusion('forbidden_arcanus:chorus_pearl', 'botania:mana_pearl', 6000)
//Mana Powder
  e.remove({ id: 'botania:mana_infusion/mana_powder_dust' })
  e.remove({ id: 'botania:mana_infusion/mana_powder_dye' })
  infusion('create:powdered_obsidian', 'botania:mana_powder', 500)
//Mana Infused String
  e.remove({ id: 'botania:mana_infusion/mana_string' })
  infusion('rats:string_cheese', 'botania:mana_string', 5000)
//Mana Quartz
  e.remove({ id: 'botania:mana_infusion/mana_quartz' })
  infusion('create:rose_quartz', 'botania:quartz_mana', 250)
//Dieletric Paste
  e.remove({ id: 'powah:crafting/dielectric_paste' })
  e.remove({ id: 'powah:crafting/dielectric_paste_2' })
  infusion('psi:ebony_substance', 'powah:dielectric_paste', 50)
//LivingRock
  e.remove({ id: 'botania:pure_daisy/livingrock' })
  pdaisy('undergarden:depthrock', 'botania:livingrock')
//LivingWood
  e.remove({ id: 'botania:pure_daisy/livingwood' })
  pdaisy('astralsorcery:infused_wood', 'botania:livingwood')

//Black Lotus
  e.shaped(item.of('botania:black_lotus', 1), ['AAA', 'ABA', 'AAA'], {
    A: 'psi:ebony_substance',
    B: 'psi:psigem'
  })
//Blacker Lotus
  e.custom({
      "type": "mysticalagriculture:infusion",
      "input": { "item": "mythicbotany:midgard_rune" },
      "ingredients": [
        { "item": "botania:black_lotus" },
        { "item": "powah:charged_snowball" },
        { "item": "botania:black_lotus" },
        { "item": "powah:charged_snowball" },
        { "item": "botania:black_lotus" },
        { "item": "powah:charged_snowball" },
        { "item": "botania:black_lotus" },
        { "item": "powah:charged_snowball" },
      ],
      "result": { "item": "botania:blacker_lotus", "count": 1 }
    })
//Manasteel AIOT
  e.remove({ id: 'aiotbotania:manasteel_hoe' })
  e.remove({ id: 'aiotbotania:manasteel_aiot' })
  e.shapeless(item.of('aiotbotania:manasteel_aiot'), ['botania:manasteel_sword', 'botania:manasteel_axe', 'botania:manasteel_pick', 'botania:manasteel_shovel', 'botania:manasteel_hoe',])
//Elementium AIOT
  e.remove({ id: 'aiotbotania:elementium_hoe' })
  e.remove({ id: 'aiotbotania:elementium_aiot' })
  e.shapeless(item.of('aiotbotania:elementium_aiot'), ['botania:elementium_sword', 'botania:elementium_axe', 'botania:elementium_pickaxe', 'botania:elementium_shovel', 'botania:elementium_hoe',])
/******************************FUNCTION**************************/
function infusion(input, output, qte){
  e.custom({"type": "botania:mana_infusion","input": { "item": input },"output": { "item": output },"mana": qte})}
function pdaisy(input, output){
e.custom({"type": "botania:pure_daisy","input": { "type": "block", "block": input },"output": { "name": output }})}
})